<? 
$DEFINITIONS = Zend_Registry::get('defines'); 
$ms = '';
$wk = '';

foreach ($DEFINITIONS['month_' . $this->lang()] as $m)
	$ms .= "'" . ucfirst($m) . "', ";

$ms = trim($ms, ", ");

foreach ($DEFINITIONS['week_' . $this->lang()] as $w)
	$wk .= "'" . ucfirst($w) . "', ";

$wk = trim($wk, ", ");
?>

<script type="text/javascript">
	window.addEvent('domready', function() {
		Cubix.Pl.a = [<?= $this->appointment ?>];
		Cubix.Pl.h = [<?= $this->holiday ?>];
		Cubix.Pl.o = [<?= $this->other ?>];
		Cubix.Pl.lang = '<?= $this->lang() ?>';
		Cubix.Pl.months = [<?= $ms ?>];
		Cubix.Pl.days = [<?= $wk ?>];
		Cubix.Pl.r_m = '<?= $this->r_m ?>';
		
		<? if ($this->user->isAgency()): ?>
			Cubix.Pl.isAgency = true;
		<? else: ?>
			Cubix.Pl.isAgency = false;
		<? endif; ?>
	});
</script>
<script type="text/javascript" src="/js/planner.js"></script>

<div class="labels">
	<? if ($this->user->isAgency()): ?>
		<div class="item">
			<?= __('view_calendar_for') ?>
			<select id="escort" name="escort" class="sel-e">
				<option value=""><?= __('select_escort') ?></option>
				<? foreach ($this->escorts as $esc): ?>
					<option value="<?= $esc['id'] ?>" <? if ($this->escort_id == $esc['id']): ?>selected="selected"<? endif; ?>><?= $esc['showname'] ?></option>
				<? endforeach; ?>
			</select>
			<span class="sel-err none"><?= __('select_escort') ?></span>
			<input type="hidden" id="escort_id" value="<?= $this->escort_id ?>" />
		</div>
	<? endif; ?>
	
	<div class="item">
		<div class="box appointment"></div><div class="title"> <?= $DEFINITIONS['planner_types'][PLANNER_TYPE_APPOINTMENT] ?></div>
	</div>
	<div class="item">
		<div class="box holiday"></div><div class="title"> <?= $DEFINITIONS['planner_types'][PLANNER_TYPE_HOLIDAY] ?></div>
	</div>
	<div class="item">
		<div class="box other"></div><div class="title"> <?= $DEFINITIONS['planner_types'][PLANNER_TYPE_OTHER] ?></div>
	</div>

	<a href="#" class="add"><?= __('add_new') ?></a>
	<span id="add1"></span>

	<div class="clear"></div>
</div>

<label class='date calendar1'></label>
<div id="planner-container"></div>

<div class="clear"></div>

<div id="cur-month">
	<div class="labels">
		<div class="item">
			<div class="title"><?= $this->getMonth($this->m, $this->lang()) . ' ' . $this->y ?></div>
		</div>

		<a href="#" class="add"><?= __('add_new') ?></a>

		<div class="clear"></div>
	</div>

	<div class="cur-month">
		<div class="head">
			<div class="item"><?= $this->getWeekDay(1, $this->lang(), true) ?></div>
			<div class="item"><?= $this->getWeekDay(2, $this->lang(), true) ?></div>
			<div class="item"><?= $this->getWeekDay(3, $this->lang(), true) ?></div>
			<div class="item"><?= $this->getWeekDay(4, $this->lang(), true) ?></div>
			<div class="item"><?= $this->getWeekDay(5, $this->lang(), true) ?></div>
			<div class="item"><?= $this->getWeekDay(6, $this->lang(), true) ?></div>
			<div class="item"><?= $this->getWeekDay(7, $this->lang(), true) ?></div>

			<div class="clear"></div>
		</div>
		<div class="body">
			<?
			$days_count = cal_days_in_month(CAL_GREGORIAN, $this->m, $this->y);
			$first_day = date('N', strtotime(date('01-' . $this->m . '-' . $this->y)));
			$h = 0;
			?>

			<? if ($first_day > 1): ?>
				<? for ($k = 1; $k <= $first_day - 1; $k++): ?>
					<? $h ++; ?>
					<div class="item"><span class="day"></span></div>
				<? endfor; ?>
			<? endif; ?>

			<? for ($k = 1; $k <= $days_count; $k++): ?>
				<? $h ++; ?>
				<div class="item <? if (in_array($k, $this->current_days)): ?>sel<? endif; ?>">
					<span class="day"><?= $k ?></span>
					
					<? if (in_array($k, $this->current_days)): ?>
						<div class="info">
							<? if ($this->events_info_counts[$k] > 1): ?>
								<div class="te">(<?= __('total') . ': ' . $this->events_info_counts[$k] ?>)</div>
							<? endif; ?>
							
							<div class="time">
								<?= date('H:i', strtotime($this->events_info[$k]['date'])) ?>
								<a href="#" class="view cur-view" rel="<?= date("n/j/Y", strtotime($this->events_info[$k]['date'])) ?>"></a>
							</div>
							<?= $this->events_info[$k]['text'] ?>
						</div>
					<? endif; ?>
				</div>
			<? endfor; ?>

			<? if ($h > 28 && $h < 35): ?>
				<? for ($k = 1; $k <= (35 - $h); $k++): ?>
					<div class="item"><span class="day"></span></div>
				<? endfor; ?>
			<? elseif ($h > 35): ?>
				<? for ($k = 1; $k <= (42 - $h); $k++): ?>
					<div class="item"><span class="day"></span></div>
				<? endfor; ?>
			<? endif; ?>

			<div class="clear"></div>
		</div>
	</div>
</div>